package it.integry.integrywmsnative.gest.picking_resi.ui;

import java.math.BigDecimal;

import it.integry.integrywmsnative.core.model.MtbColt;
import it.integry.integrywmsnative.gest.picking_resi.rest.WithdrawableDtbDocr;

public class PickingResiListModel {

    private String groupTitle;

    private String badge1;

    private String descrizione;
    private boolean descrizionePresente;
    private BigDecimal qtaEvasa;
    private BigDecimal qtaTot;
    private String untMis;

    private boolean active;

    private WithdrawableDtbDocr mOriginalModel;
    private MtbColt mSourceMtbColt;

    public String getGroupTitle() {
        return groupTitle;
    }

    public PickingResiListModel setGroupTitle(String groupTitle) {
        this.groupTitle = groupTitle;
        return this;
    }

    public String getBadge1() {
        return badge1;
    }

    public PickingResiListModel setBadge1(String badge1) {
        this.badge1 = badge1;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public PickingResiListModel setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public boolean isDescrizionePresente() {
        return descrizionePresente;
    }

    public PickingResiListModel setDescrizionePresente(boolean descrizionePresente) {
        this.descrizionePresente = descrizionePresente;
        return this;
    }

    public BigDecimal getQtaEvasa() {
        return qtaEvasa;
    }

    public PickingResiListModel setQtaEvasa(BigDecimal qtaEvasa) {
        this.qtaEvasa = qtaEvasa;
        return this;
    }

    public BigDecimal getQtaTot() {
        return qtaTot;
    }

    public PickingResiListModel setQtaTot(BigDecimal qtaTot) {
        this.qtaTot = qtaTot;
        return this;
    }

    public String getUntMis() {
        return untMis;
    }

    public PickingResiListModel setUntMis(String untMis) {
        this.untMis = untMis;
        return this;
    }

    public boolean isActive() {
        return active;
    }

    public PickingResiListModel setActive(boolean active) {
        this.active = active;
        return this;
    }

    public WithdrawableDtbDocr getOriginalModel() {
        return mOriginalModel;
    }

    public PickingResiListModel setOriginalModel(WithdrawableDtbDocr originalModel) {
        this.mOriginalModel = originalModel;
        return this;
    }

    public MtbColt getSourceMtbColt() {
        return mSourceMtbColt;
    }

    public PickingResiListModel setSourceMtbColt(MtbColt sourceMtbColt) {
        this.mSourceMtbColt = sourceMtbColt;
        return this;
    }
}
